dnl
dnl Copyright (c) 2003-2011 aMule Team (http://www.amule.org)
dnl Copyright (c) 1995-2008 Free Software Foundation, Inc.
dnl
dnl This file is free software, distributed under the terms of the GNU
dnl General Public License.  As a special exception to the GNU General
dnl Public License, this file may be distributed as part of a program
dnl that contains a configuration script generated by Autoconf, under
dnl the same distribution terms as the rest of that program.
dnl
dnl Original file available from the GNU Autoconf Macro Archive at:
dnl http://www.gnu.org/software/ac-archive/htmldoc/vl_lib_readline.html
dnl

AC_DEFUN([VL_LIB_READLINE], [
  AC_CACHE_CHECK([for a readline compatible library],
                 vl_cv_lib_readline, [
    ORIG_LIBS="$LIBS"
    for readline_lib in readline edit editline; do
      for termcap_lib in "" termcap curses ncurses; do
        if test -z "$termcap_lib"; then
          TRY_LIB="-l$readline_lib"
        else
          TRY_LIB="-l$readline_lib -l$termcap_lib"
        fi
        LIBS="$ORIG_LIBS $TRY_LIB"
        AC_TRY_LINK_FUNC(readline, vl_cv_lib_readline="$TRY_LIB")
        if test -n "$vl_cv_lib_readline"; then
          break
        fi
      done
      if test -n "$vl_cv_lib_readline"; then
        break
      fi
    done
    if test -z "$vl_cv_lib_readline"; then
      vl_cv_lib_readline="no"
      LIBS="$ORIG_LIBS"
    fi
  ])

  if test "$vl_cv_lib_readline" != "no"; then
    have_readline_headers=no
    AC_CHECK_HEADERS([readline/readline.h readline.h], [have_readline_headers=yes ; break])
    if test "$have_readline_headers" = "yes"; then
      READLINE_LIBS="$vl_cv_lib_readline"
      AC_DEFINE(HAVE_LIBREADLINE, 1,
                [Define if you have a readline compatible library])
    else
      READLINE_LIBS=
      vl_cv_lib_readline=no
    fi
    AC_CACHE_CHECK([whether readline supports history],
                   vl_cv_lib_readline_history, [
      vl_cv_lib_readline_history="no"
      AC_TRY_LINK_FUNC(add_history, vl_cv_lib_readline_history="yes")
    ])
    if test "$vl_cv_lib_readline_history" = "yes"; then
      have_readline_history_headers=no
      AC_CHECK_HEADERS([readline/history.h history.h], [have_readline_history_headers=yes ; break])
      if test "$have_readline_history_headers" = "yes"; then
        AC_DEFINE(HAVE_READLINE_HISTORY, 1,
                  [Define if your readline library has \`add_history'])
      else
        vl_cv_lib_readline_history=no
      fi
    fi
  else
    READLINE_LIBS=""
  fi
  AC_SUBST(READLINE_LIBS)
])dnl
